package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.AreaShowPoint;


/**
*  service接口类
*/
public interface AreaShowPointService{

    List<AreaShowPoint> getAreaShowPointList(AreaShowPoint record);

    List<AreaShowPoint> getAreaShowPointByPage(Page page, AreaShowPoint record);

    AreaShowPoint getAreaShowPointById(String id);

    AreaShowPoint getAreaShowPoint(AreaShowPoint record);

    boolean createAreaShowPoint(AreaShowPoint record);

    boolean deleteAreaShowPoint(AreaShowPoint record);

    boolean updateAreaShowPoint(AreaShowPoint record);
}

